Daemon Power

The NetBSD Packages Collection: x11/mlterm

Brief description of the package:
Multilingual terminal emulator

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://mlterm.sourceforge.net/.

Please note that this package has a modified-bsd license.

The package is located in the "x11/mlterm" directory. The current source version of the package is "mlterm-3.8.9nb2". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for x11/mlterm :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: cairo>=1.0.0nb2 Xrender>=0.2 x11-links>=1.31 osabi-NetBSD-8.1_STABLE cwrappers>=20150314 xorgproto>=2016.1 Xrender>=0.8.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.14 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 xcb-proto>=1.4 lzo>=2.01 fontconfig>=2.11.91 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 png>=1.2.4 pixman>=0.30.0 pixman>=0.25.2 Xrender>=0.9.0nb1 fontconfig>=2.13.0 png>=1.6.0nb1 fribidi>=0.19.1 gdk-pixbuf2>=2.22.0 python37>=3.7 libffi>=1.20 openssl>=1.1.1 libffi>=3.3nb1 openssl>=1.1.1dnb2 readline>=2.2 readline>=6.0 python37>=3.7.0 shared-mime-info>=0.15 glib2>=2.4.0 pcre>=3.4nb1 pcre>=8.30nb1 meson-[0-9]* ninja-build-[0-9]* re2c>=0.11.3 py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7.7 glib2>=2.64.0nb1 glib2>=2.37.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 shared-mime-info>=1.0nb1 tiff>=4.0.3nb5 gobject-introspection>=0.6.14nb1 py37-cElementTree-[0-9]* glib2>=2.58.0 libffi>=3.0.0 gobject-introspection>=1.62.0nb1 m17n-lib>=1.5.1 gd>=2.0.15nb1 perl>=5.0 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.2.1 libwebp>=0.6.0 libotf>=0.9.11 libotf>=0.9.7 Xft2>=2.1 fontconfig>=2.2 Xrender>=0.9.0nb2 Xft2>=2.1nb2 m17n-db>=1.5.1 gd>=2.2.5nb2 libotf>=0.9.13nb2 Xft2>=2.1.7nb7 harfbuzz>=2.1.1 icu>=3.4 graphite2>=1.2 icu>=64.1 gtk2+>=2.4.0 py27-expat-[0-9]* atk>=1.30.0 glib2>=2.38.0 atk>=1.11.4 glib2>=2.28.0 xcursor>=1.0 Xfixes>=2.0.0 fixesproto>=3.0.0<5 Xrender>=0.8 Xfixes>=2.0.1nb2 xcursor>=1.1.1 libXdamage>=1.0.3 Xft2>=2.1.2nb2 libXi>=1.3.0 libXi>=1.0.0 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.20.0 Xft2>=2.1.7nb3 fribidi>=0.19.7 glib2>=2.59 harfbuzz>=2.0 cairo>=1.12.10 cairo-gobject>=1.10.2 cairo>=1.16.0 glib2>=2.14.0 harfbuzz>=2.6.4nb2 cairo-gobject>=1.16.0nb4 pango>=1.6.0 cairo>=1.6.0 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 openssl>=0.9.6 atk>=2.33.3nb1 gdk-pixbuf2>=2.40.0nb1 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 pango>=1.44.7nb2 python27>=2.7.1nb2 gobject-introspection>=0.9.3 m17n-lib>=1.8.0nb1 gtk2+>=2.24.32nb13 .

This package requires the following package(s) to run: cairo>=1.0.0nb2 Xrender>=0.2 Xrender>=0.8.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 lzo>=2.01 fontconfig>=2.11.91 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 png>=1.2.4 pixman>=0.30.0 pixman>=0.25.2 Xrender>=0.9.0nb1 fontconfig>=2.13.0 png>=1.6.0nb1 fribidi>=0.19.1 gdk-pixbuf2>=2.22.0 python37>=3.7 libffi>=1.20 openssl>=1.1.1 libffi>=3.3nb1 openssl>=1.1.1dnb2 python37>=3.7.0 shared-mime-info>=0.15 glib2>=2.4.0 pcre>=3.4nb1 pcre>=8.30nb1 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 glib2>=2.64.0nb1 libxml2>=2.8.0nb2 glib2>=2.37.2 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 shared-mime-info>=1.0nb1 tiff>=4.0.3nb5 m17n-lib>=1.5.1 gd>=2.0.15nb1 perl>=5.0 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.2.1 libwebp>=0.6.0 libotf>=0.9.11 libotf>=0.9.7 Xft2>=2.1 fontconfig>=2.2 Xrender>=0.9.0nb2 Xft2>=2.1nb2 m17n-db>=1.5.1 gd>=2.2.5nb2 libotf>=0.9.13nb2 Xft2>=2.1.7nb7 harfbuzz>=2.1.1 icu>=3.4 graphite2>=1.2 icu>=64.1 gtk2+>=2.4.0 py27-expat-[0-9]* python37>=3.7.7 atk>=1.30.0 glib2>=2.38.0 atk>=1.11.4 glib2>=2.28.0 xcursor>=1.0 Xfixes>=2.0.0 Xrender>=0.8 Xfixes>=2.0.1nb2 xcursor>=1.1.1 libXdamage>=1.0.3 Xft2>=2.1.2nb2 libXi>=1.3.0 libXi>=1.0.0 Xrandr>=0.99 Xrandr>=1.0.1 libXcomposite>=0.3.1 pango>=1.20.0 Xft2>=2.1.7nb3 fribidi>=0.19.7 glib2>=2.59 harfbuzz>=2.0 cairo>=1.12.10 cairo-gobject>=1.10.2 cairo>=1.16.0 glib2>=2.14.0 harfbuzz>=2.6.4nb2 cairo-gobject>=1.16.0nb4 pango>=1.6.0 cairo>=1.6.0 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 openssl>=0.9.6 atk>=2.33.3nb1 gdk-pixbuf2>=2.40.0nb1 xcursor>=1.1.2nb1 Xrandr>=1.0.2nb3 pango>=1.44.7nb2 python27>=2.7.1nb2 m17n-lib>=1.8.0nb1 gtk2+>=2.24.32nb13 .

This package supports the following build-time options:

cairo
Enable cairo support.
canna
Use Canna as Japanese conversion program.
fcitx
Enable Fcitx inputmethod support
fribidi
Enable BIDI support using fribidi.
gdk_pixbuf2
ibus
Enable Intelligent Input Bus support.
libind
Add Indian script support using libind.
m17nlib
Enable the m17n library support.
mlterm-fb
Enable framebuffer support.
otl
scim
Enable Smart Common Input Method support.
skk
Use SKK for Kana-to-Kanji conversion.
uim
Enable UIM support.
utmp
wnn4
Use wnn for Kana-to-Kanji conversion.
xft2
Enable Xft support.

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:mlterm-3.8.9.tgz(NetBSD 9.0)
alpha:mlterm-3.8.8nb5.tgz(NetBSD 8.0)
alpha:mlterm-3.8.9.tgz(NetBSD 9.0)
earm:mlterm-3.6.0nb1.tgz(NetBSD 7.0)
earm:mlterm-3.8.8nb1.tgz(NetBSD 8.0)
earmv4:mlterm-3.8.8nb5.tgz(NetBSD 8.0)
earmv6hf:mlterm-3.8.9.tgz(NetBSD 8.0)
earmv6hf:mlterm-3.8.8nb5.tgz(NetBSD 8.0)
earmv6hf:mlterm-3.8.9.tgz(NetBSD 9.0)
earmv7hf:mlterm-3.8.9.tgz(NetBSD 8.0)
earmv7hf:mlterm-3.8.8nb5.tgz(NetBSD 8.0)
earmv7hf:mlterm-3.8.9.tgz(NetBSD 9.0)
i386:mlterm-3.8.9.tgz(NetBSD 7.0)
i386:mlterm-3.8.7nb3.tgz(NetBSD 7.0)
i386:mlterm-3.8.8nb1.tgz(NetBSD 7.0)
i386:mlterm-3.8.8nb5.tgz(NetBSD 7.0)
i386:mlterm-3.8.7nb3.tgz(NetBSD 7.1)
i386:mlterm-3.8.8nb1.tgz(NetBSD 7.1)
i386:mlterm-3.8.8nb5.tgz(NetBSD 7.1)
i386:mlterm-3.8.9.tgz(NetBSD 7.1)
i386:mlterm-3.8.7nb3.tgz(NetBSD 8.0)
i386:mlterm-3.8.8nb1.tgz(NetBSD 8.0)
i386:mlterm-3.8.8nb5.tgz(NetBSD 8.0)
i386:mlterm-3.8.9.tgz(NetBSD 8.0)
i386:mlterm-3.8.9.tgz(NetBSD 9.0)
mips64eb:mlterm-3.8.9.tgz(NetBSD 9.0)
powerpc:mlterm-3.8.9.tgz(NetBSD 8.0)
powerpc:mlterm-3.8.8nb1.tgz(NetBSD 9.0)
powerpc:mlterm-3.8.9.tgz(NetBSD 9.0)
sparc64:mlterm-3.8.8nb5.tgz(NetBSD 8.0)
sparc64:mlterm-3.8.9.tgz(NetBSD 9.0)
x86_64:mlterm-3.8.9nb2.tgz(NetBSD 9.0)
x86_64:mlterm-3.8.9nb2.tgz(NetBSD 9.0)
x86_64:mlterm-3.8.9.tgz(NetBSD 7.0)
x86_64:mlterm-3.8.7nb3.tgz(NetBSD 7.0)
x86_64:mlterm-3.8.8nb1.tgz(NetBSD 7.0)
x86_64:mlterm-3.8.8nb5.tgz(NetBSD 7.0)
x86_64:mlterm-3.8.9.tgz(NetBSD 7.1)
x86_64:mlterm-3.8.7nb3.tgz(NetBSD 7.1)
x86_64:mlterm-3.8.8nb1.tgz(NetBSD 7.1)
x86_64:mlterm-3.8.8nb5.tgz(NetBSD 7.1)
x86_64:mlterm-3.8.9.tgz(NetBSD 8.0)
x86_64:mlterm-3.8.7nb3.tgz(NetBSD 8.0)
x86_64:mlterm-3.8.8nb1.tgz(NetBSD 8.0)
x86_64:mlterm-3.8.8nb5.tgz(NetBSD 8.0)
x86_64:mlterm-3.8.9.tgz(NetBSD 9.0)
x86_64:mlterm-3.8.9nb2.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]